local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireProjectile = ____shouldFire.shouldFireProjectile
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostProjectileInitFilter = __TS__Class()
local PostProjectileInitFilter = ____exports.PostProjectileInitFilter
PostProjectileInitFilter.name = "PostProjectileInitFilter"
__TS__ClassExtends(PostProjectileInitFilter, CustomCallback)
function PostProjectileInitFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireProjectile
    self.postProjectileInit = function(____, projectile)
        self:fire(projectile)
    end
    self.callbacksUsed = {{ModCallback.POST_PROJECTILE_INIT, self.postProjectileInit}}
end
return ____exports
